Package com.android.server.os

# Class LinphoneTombstoneProtos.Cause

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Cause,LinphoneTombstoneProtos.Cause.Builder>
com.android.server.os.LinphoneTombstoneProtos.Cause

All Implemented Interfaces:
  `LinphoneTombstoneProtos.CauseOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.Cause extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Cause,LinphoneTombstoneProtos.Cause.Builder> implements LinphoneTombstoneProtos.CauseOrBuilder
Protobuf type `Cause`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.Cause.Builder`
Protobuf type `Cause`
`static enum`
`LinphoneTombstoneProtos.Cause.DetailsCase`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HUMAN_READABLE_FIELD_NUMBER`
`static final int`
`MEMORY_ERROR_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`static LinphoneTombstoneProtos.Cause`
`getDefaultInstance()`
`LinphoneTombstoneProtos.Cause.DetailsCase`
`getDetailsCase()`
`String`
`getHumanReadable()`
`string human_readable = 1;`
`com.google.protobuf.ByteString`
`getHumanReadableBytes()`
`string human_readable = 1;`
`LinphoneTombstoneProtos.MemoryError`
`getMemoryError()`
`.MemoryError memory_error = 2;`
`boolean`
`hasMemoryError()`
`.MemoryError memory_error = 2;`
`static LinphoneTombstoneProtos.Cause.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.Cause.Builder`
`newBuilder(LinphoneTombstoneProtos.Cause prototype)`
`static LinphoneTombstoneProtos.Cause`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.Cause`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.Cause`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.Cause>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### HUMAN_READABLE_FIELD_NUMBER

public static final int HUMAN_READABLE_FIELD_NUMBER

See Also:
  - Constant Field Values

### MEMORY_ERROR_FIELD_NUMBER

public static final int MEMORY_ERROR_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDetailsCase

public LinphoneTombstoneProtos.Cause.DetailsCase getDetailsCase()

Specified by:
  `getDetailsCase` in interface `LinphoneTombstoneProtos.CauseOrBuilder`

### getHumanReadable

public String getHumanReadable()
`string human_readable = 1;`

Specified by:
  `getHumanReadable` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  The humanReadable.

### getHumanReadableBytes

public com.google.protobuf.ByteString getHumanReadableBytes()
`string human_readable = 1;`

Specified by:
  `getHumanReadableBytes` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  The bytes for humanReadable.

### hasMemoryError

public boolean hasMemoryError()
`.MemoryError memory_error = 2;`

Specified by:
  `hasMemoryError` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  Whether the memoryError field is set.

### getMemoryError

public LinphoneTombstoneProtos.MemoryError getMemoryError()
`.MemoryError memory_error = 2;`

Specified by:
  `getMemoryError` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  The memoryError.

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Cause parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Cause parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Cause parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.Cause.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.Cause.Builder newBuilder(LinphoneTombstoneProtos.Cause prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Cause,LinphoneTombstoneProtos.Cause.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.Cause getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.Cause> parser()